<?xml version="1.0"?>

<entity-mappings xmlns="http://java.sun.com/xml/ns/persistence/orm" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.0" xsi:schemaLocation="http://java.sun.com/xml/ns/persistence/orm http://java.sun.com/xml/ns/persistence/orm_1_0.xsd">
	<persistence-unit-metadata>
		<xml-mapping-metadata-complete/>
		<persistence-unit-defaults>
			<access>PROPERTY</access>
		</persistence-unit-defaults>
	</persistence-unit-metadata>
	<mapped-superclass class="it.unisef.managesales.model.impl.FirmModelImpl">
		<attributes>
			<id name="firmId" />
			<basic name="companyId" />
			<basic name="userId" />
			<basic name="userName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="groupId" />
			<basic name="name" />
			<basic name="address" />
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
			<transient name="userUuid" />
		</attributes>
	</mapped-superclass>
	<mapped-superclass class="it.unisef.managesales.model.impl.WorkerModelImpl">
		<attributes>
			<id name="workerId" />
			<basic name="companyId" />
			<basic name="userId" />
			<basic name="userName" />
			<basic name="createDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="modifiedDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="groupId" />
			<basic name="firstName" />
			<basic name="lastName" />
			<basic name="firmId" />
			<basic name="employmentDate">
				<temporal>TIMESTAMP</temporal>
			</basic>
			<basic name="code">
				<column name="CODE_" />
			</basic>
			<transient name="modelAttributes" />
			<transient name="primaryKey" />
			<transient name="primaryKeyObj" />
			<transient name="userUuid" />
		</attributes>
	</mapped-superclass>
	<entity class="it.unisef.managesales.model.impl.FirmImpl" name="Firm">
		<table name="MS_Firm" />
		<attributes />
	</entity>
	<entity class="it.unisef.managesales.model.impl.WorkerImpl" name="Worker">
		<table name="MS_Worker" />
		<attributes />
	</entity>
</entity-mappings>